
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Ariel Rios O.                     ;;
;; jarios@usa.net                    ;;
;; http://erin.linuxbox.com          ;;
;; Galway v0.1.0                     ;;
;; Diciembre 1998                    ;;
;; Febrero 1999                      ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;Licencia;;;;;;;;;;;;;;;;;;;
;;GPL                                            ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;archivos.s;;;;;;;;;;;;;;;;;;;;;;
(define TMPG (list "" ""))
(define TMP (list "" ""))

(define abrir 
 (lambda (texto archivo)
 (system (string-append "txt_to_c  " archivo))
 (let* ((a (open_input "./file.tmp"))
        (b (read a)))      
       (if (string? b)
       (begin (gtk-widget-realize texto)
       (nuevo texto)
       (gtk-text-insert texto #f "black" #f b -1)
       (gtk-text-thaw texto)) (display "error")))))
       
(define abrirS
 (lambda (texto archivo)
  (let* ((a (open_input archivo))
  	 (b (read a))
         (c (open_input (car b)))
         (d (read c))
         (e (open_input (cadr b)))
         (f (read e)))
        (set! TMPG b)
  	(set-car! TMP d)
        (list-set! TMP 1 f) )))

(define guardar
 (lambda (texto archivo)
  (let* ((a (open_output archivo))
         (b (gtk-editable-get-chars  texto 0 -1)))
        (write b a)
        (close_output a))))



(define (publicar texto archivo)
(let* (($string (gtk-editable-get-chars texto 0 -1))
      ($out (open_output archivo))
      (a (car TMP))
      (b (cadr TMP))
      (ring (string-append a $string b))
      (n (string-length ring)))      
     (do ((i 0 (+ i 1)))
         ((= i n))
         (write-char (string-ref ring i) $out)) 
     (close_output $out)))

(define (aprire texto)
(let* ((dialog (gtk-file-selection-new "Abrir..."))
       ($ok (gtk-file-selection-ok-button dialog))
       ($nok (gtk-file-selection-cancel-button dialog)))
     (gtk-signal-connect $ok "clicked"
                        (lambda ()
                         (let (($file (gtk-file-selection-get-filename dialog)))
                              (abrir texto $file))
                        (gtk-widget-destroy dialog)))
     (gtk-signal-connect $nok "clicked"
                        (lambda ()
                         (gtk-widget-destroy dialog)))
     (gtk-widget-show dialog))) 
     
(define (aprireS texto)
(let* ((dialog (gtk-file-selection-new "Abrir..."))
       ($ok (gtk-file-selection-ok-button dialog))
       ($nok (gtk-file-selection-cancel-button dialog)))    
      (gtk-signal-connect $ok "clicked"
                        (lambda ()
                         (let (($file (gtk-file-selection-get-filename dialog)))
                              (abrirS texto $file))
                        (gtk-widget-destroy dialog)))
     (gtk-signal-connect $nok "clicked"
                        (lambda ()
                         (gtk-widget-destroy dialog)))
     (gtk-widget-show dialog))) 
     
(define (guardare texto)
(let* ((dialog (gtk-file-selection-new "Guardar..."))
       ($ok (gtk-file-selection-ok-button dialog))
       ($nok (gtk-file-selection-cancel-button dialog)))
      (gtk-signal-connect $ok "clicked"
                         (lambda ()
                          (let (($file (gtk-file-selection-get-filename dialog)))
                               (guardar texto $file))
			   (gtk-widget-destroy dialog)))
      (gtk-signal-connect $nok "clicked"
                         (lambda ()
                          (gtk-widget-destroy dialog)))
      (gtk-widget-show dialog)))                   

(define (publicare texto)
(let* ((dialog (gtk-file-selection-new "Publicar..."))
       ($ok (gtk-file-selection-ok-button dialog))
       ($nok (gtk-file-selection-cancel-button dialog)))
      (gtk-signal-connect $ok "clicked"
                         (lambda ()
                          (let (($file (gtk-file-selection-get-filename dialog)))
                               (publicar texto $file))
                          (gtk-widget-destroy dialog)))
      (gtk-signal-connect $nok "clicked"
                         (lambda ()
                          (gtk-widget-destroy dialog)))
      (gtk-widget-show dialog)))

(define (template texto type)
(let* ((dialog (gtk-file-selection-new "Template Superior..."))
       ($ok    (gtk-file-selection-ok-button dialog))
       ($nok   (gtk-file-selection-cancel-button dialog)))
      (gtk-signal-connect $ok "clicked"
                         (lambda ()
                          (let (($file (gtk-file-selection-get-filename  dialog)))
                               (temp $file type))
                          (gtk-widget-destroy dialog)))
      (gtk-signal-connect $nok "clicked"
                         (lambda ()
                          (gtk-widget-destroy dialog)))
      (gtk-widget-show dialog)))
      
      
(define (temp archivo type)
(let* ((a (open_input archivo))
       (b (read a)))
      (if (= type 0)        ;; upper header
          (set-car! TMP b)
          (list-set! TMP 1 b) )))

(define nuevo
 (lambda (texto)
 (let ((index (gtk-text-get-length texto)))
 (gtk-text-set-point texto index)
 (gtk-text-backward-delete texto index)))) 
 
(define (novoTexto Texto)
(let ((string1 
"<HTML>
<HEAD> 
<TITLE>")
(string2 "Ponga el ttulo aqu")
(string3
"</TITLE>
</HEAD>
<BODY>
</BODY>
</HTML>"))
      (gtk-widget-realize Texto)
      (gtk-text-insert Texto #f "red" #f string1 -1)
      (gtk-text-insert Texto #f "blue" #f string2 -1)
      (gtk-text-insert Texto #f "red" #f string3 -1)))
