;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Ariel Rios O.                     ;;
;; jarios@usa.net                    ;;
;; http://erin.linuxbox.com          ;;
;; Galway v0.8.0                     ;;
;; Diciembre 1998                    ;;
;; Julio 1999                        ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;Licencia;;;;;;;;;;;;;;;;;;;
;;GPL                                            ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (find-dialog texto)
(define beg-val #t)
 (let* ((window (gtk-window-new 'toplevel))
        (vbox   (gtk-vbox-new #f 0)) (hbox1  (gtk-hbox-new #f 0))
        (hbox2  (gtk-hbox-new #f 0)) (hbox3  (gtk-hbox-new #f 0))
        (hbox4  (gtk-hbox-new #f 0))
       (label0 (gtk-label-new search))
       (entry  (gtk-entry-new))
       (button0(gtk-button-new-with-label accept))
       (button1(gtk-button-new-with-label decline))
       (radio0(gtk-radio-button-new-with-label #f startB))
       (radio1(gtk-radio-button-new-with-label radio0 caseS)))
      (gtk-window-set-title window finder) 
      (gtk-container-add window vbox)
      (gtk-box-pack-start-multi vbox 
                               (list hbox1 hbox2 hbox3 hbox4))
      (gtk-box-pack-start-multi hbox1 (list label0 entry))
      (gtk-box-pack-start hbox2 radio0 )
      (gtk-box-pack-start hbox3 radio1)
      (gtk-box-pack-start-multi hbox4 (list button0 button1))
      (gtk-widget-show-multi button0 button1 vbox hbox1 hbox2
                             hbox3 hbox4 label0 
                             radio1 radio0 entry window) 
      (gtk-signal-connect radio0 "toggled"
                         (lambda ()
                          (set! beg-val #t)))
      (gtk-signal-connect radio1 "toggled"
                         (lambda ()
                          (set! beg-val #f)))
      (gtk-signal-connect button1 "clicked"
                         (lambda ()
                          (gtk-widget-destroy window)))
      (gtk-signal-connect button0 "clicked"
                         (lambda ()
                          (let ((str (gtk-entry-get-text entry))
                                (n 0))
                               (if (equal? beg-val #f)
                                   (set! n (gtk-editable-get-point texto)))
                          (finder-helper str n texto window))))))

(define (finder-helper str n texto window)
 (let ((m n)
       ($str (gtk-editable-get-chars texto 0 -1)))
      (gtk-widget-realize texto)
      (set! n (find str $str))
      (if (not (= n -1))
           (begin
           (gtk-editable-set-position texto n)
           (gtk-editable-select-region texto n (grab-text n texto)))
           (gtk-text-set-point texto m))
      (gtk-text-thaw texto)
      (gtk-widget-destroy window)))

(define (grab-text i texto)
 (let* ((str (gtk-editable-get-chars texto i -1))
        (n (string-length (word-car str))))
       (+ i n)))

(define (select-all texto)
 (let* ((str (gtk-editable-get-chars texto 0 -1))
        (n   (string-length str)))
       (gtk-editable-select-region texto 0 n)))






