;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Ariel Rios O.                     ;;
;; jarios@usa.net                    ;;
;; http://erin.linuxbox.com          ;;
;; Galway v0.4.0                     ;;
;; Diciembre 1998                    ;;
;; Junio 1999                        ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;Licencia;;;;;;;;;;;;;;;;;;;
;;GPL                                            ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;;;;;;;;;;;;;;;;;;;;;;;;;;;;forms.s;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(define (fform texto str)
 (gtk-widget-realize texto)
 (gtk-text-insert texto #f "red" #f str -1)
 (gtk-text-thaw texto))

(define (form texto)
(let ((text "<FORM action=\" \" method=\"  \"> \n \n </FORM>"))
      (fform texto text)))

(define (flabel texto)
(let (($string "<LABEL for=\" \" > \n </LABEL>" ))
     (fform texto $string)))

(define (ftext texto)
(let (($string "<TEXTAREA name=\" \" rows=\" \" cols=\" \"> \n </TEXTAREA>"))
     (fform texto $string)))

(define (finput type texto)
(let ((&string "" )
      ($string "<INPUT ")
      ($type "type=\" ")         ;; type 0 = text   4 = borrar   8 = check
      ($name " name=\" \"")      ;; type 1 = pwd    5 = imgen   9 = menu   
      ($value " value=\" "))     ;; type 2 = opcion 6 = botn   10 = element
     (gtk-widget-realize texto)  ;; type 3 = enviar 7 = radio
     (cond
      ((or (= type 0) (= type 1))
       (set! &string (string-append $string $type "text\"" $name ">")))
      ((= type 3) 
       (set! &string (string-append $string $type "submit\"" $value "Send\">")))
      ((= type 4) 
       (set! &string (string-append $string $type "reset\"" $value "Borrar\">")))
      ((= type 5) 
       (set! &string (string-append $string $type "image\" " "src =\" \">")))
      ((= type 6) 
       (set! &string (string-append $string $type "button\"" $value " \">")))
      ((= type 7) 
       (set! &string (string-append $string $type "radio\"" $name $value "\" >"))) 
      ((= type 8) 
       (set! &string (string-append $string $type "check\"" $name $value "\" >"))))
     (gtk-text-insert texto #f "red" #f &string -1)
     (gtk-text-thaw texto) ))


(define (fselect texto)
(let (($string "<SELECT name=\"  \"  size =\" \" > \n \n</SELECT>"))
     (fform texto $string)))

(define (foption texto)
(let (($string "<OPTION>\n \n </OPTION>"))  
     (fform texto $string)))
