
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Ariel Rios O.                     ;;
;; jarios@usa.net                    ;;
;; http://erin.netpedia.net          ;;
;; Galway v0.6.0                     ;;
;; Diciembre 1998                    ;;
;; Julio 1999                        ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;Licese;;;;;;;;;;;;;;;;;;;;;
;;GPL                                            ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;lista.s;;;;;;;;;;;;;;;;;;;;
(define (html-list txt num type)
(let (($string (string-append "<" type ">")))
     (do ((i 0 (1+ i)))
         ((= i num))
         (set! $string (string-append $string "<LI>")))
     (set! $string (string-append $string "</" type ">"))
     (gtk-widget-realize txt)
     (gtk-text-freeze txt)
     (gtk-text-insert txt #f "red" #f $string -1)
     (gtk-text-thaw txt)))

(define (listas texto)
(let* ((window (gtk-window-new 'dialog))
       (box    (gtk-vbox-new #f 1))  (hbox0  (gtk-hbox-new #f 1))
       (hbox1  (gtk-hbox-new #f 1))  (hbox2  (gtk-hbox-new  #f 1)) 
       (adjust (gtk-adjustment-new 2 0 100 1 5 0))
       (spin   (gtk-spin-button-new adjust 0.5 0))
       (label  (gtk-label-new "How many elements?"))
       (button0 (gtk-button-new-with-label accept)) (button1 (gtk-button-new-with-label decline))
       (radio0 (gtk-radio-button-new-with-label #f "Ordered List"))
       (radio1 (gtk-radio-button-new-with-label radio0 "Unordered List"))
       (type "OL"))
      (gtk-window-set-title window "Lists")
      (gtk-box-pack-start-multi box (list hbox0 hbox1 hbox2))
      (gtk-box-pack-start-multi hbox0 (list label spin))
      (gtk-box-pack-start-multi hbox1 (list radio0 radio1))
      (gtk-box-pack-start-multi hbox2 (list button0 button1))
      (gtk-container-add window box)
      (gtk-widget-show-multi box hbox0 hbox1 hbox2 label button0 button1 
                           radio0 radio1 spin window)
     (gtk-signal-connect button0 "clicked" 
                        (lambda()
                         (let ((n (gtk-spin-button-get-value-as-int spin)))
                              (html-list texto n type))
                         (gtk-widget-destroy window)))             
     (gtk-signal-connect button1 "clicked" 
                        (lambda()
                         (gtk-widget-destroy-multi window button1 button0 
                              hbox0 label box)))
     (gtk-signal-connect radio0 "toggled"
                        (lambda()
                         (set! type "OL")))
     (gtk-signal-connect radio1 "toggled"
                        (lambda()
                         (set! type "UL"))) ))


