;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Ariel Rios O.                     ;;
;; jarios@usa.net                    ;;
;; http://erin.linuxbox.com          ;;
;; Galway v0.1.9                     ;;
;; Diciembre 1998                    ;;
;; Junio 1999                        ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;Licencia;;;;;;;;;;;;;;;;;;;
;;GPL                                               ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;enlaces.s;;;;;;;;;;;;;;;;;;;;;;;;;

(define (link texto type)
     (gtk-widget-realize texto)
     (gtk-text-insert texto #f "red" #f type -1)
     (gtk-text-thaw texto))

(define (enlace texto)
(let ((&type "http://")
      (window (gtk-window-new 'dialog))
      (boxV (gtk-vbox-new #f 1))
      (entry (gtk-entry-new))
      (label (gtk-label-new "Escriba el enlace..."))
      ;(boxH (gtk-vbox-new #f 1))
      (button_OK (gtk-button-new-with-label "Aceptar"))
      (button_NOK(gtk-button-new-with-label "Cancelar"))
      (lista (gtk-list-new))
      (child_Http (gtk-list-item-new-with-label "http://"))      
      (child_Ftp  (gtk-list-item-new-with-label "ftp://"))      
      (child_Gopher (gtk-list-item-new-with-label "gopher://"))      
      (child_File (gtk-list-item-new-with-label "file:/"))      
      (child_Mailto (gtk-list-item-new-with-label "mailto://")))     
     (gtk-window-set-title window "Enlaces")
     (gtk-box-pack-start-multi boxV
                               (list label entry lista button_OK button_NOK))
     (gtk-list-set-selection-mode lista 'browse)
     (gtk-container-add window boxV)
     ;(gtk-container-add window boxH)
     (gtk-container-add lista child_File)
     (gtk-container-add lista child_Ftp)
     (gtk-container-add lista child_Gopher)
     (gtk-container-add lista child_Http)
     (gtk-container-add lista child_Mailto)
     (gtk-signal-connect lista "select_child" 
                        (lambda (child)
                         (cond 
                         ((equal? child child_Mailto) (set! &type "mailto://"))                          
                         ((equal? child child_Ftp) (set! &type "ftp://")) ))) 
     (gtk-signal-connect button_OK "clicked"
                        (lambda ()
                         (let* ((&header "<A HREF=\"")
                                (&string (gtk-entry-get-text entry))
			        (&tail "<\\A>")
                                (&header2 "\" >")
                                (type (string-append &header &type &string &header2 "nombre del link..." &tail)))                                 
			 (link texto type)
                         (gtk-widget-destroy window))))     
     (gtk-signal-connect button_NOK "clicked" 
                        (lambda () 
                         (gtk-widget-destroy window))) 
     (gtk-widget-show-multi boxV entry label lista button_OK button_NOK child_File child_Ftp child_Gopher child_Http child_Mailto window)))        
