#! /bin/sh
exec guile-gtk -s $0 $*
!#

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Ariel Rios O.                     ;;
;; jarios@usa.net                    ;;
;; http://erin.netpedia.net          ;;
;; Galway v0.8.0                     ;;
;; Diciembre 1998                    ;;
;; Julio 1999                        ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;License;;;;;;;;;;;;;;;;;;;
;;GPL                                           ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(use-modules (gtk gtk))
(define galway-path "/usr/local/share/galway/") 
(define (include str)
 (load-from-path (string-append galway-path str)))
;;;;;;;;;;;;;;;;;;;;;;;;;;function library files;;;;;;;;;;;;;;;;;
(include "lang.scm") ;;Loads the language
(include "pix.scm")   ;;Loads the opening interface...
;;;;;;;;;;;;;;;;;;;;;;;;;;;;galway;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; 

(pix)

(define (galway)
(let* ((window  (gtk-window-new 'toplevel))
       (box     (gtk-vbox-new #f 2))
       (text    (gtk-text-new #f #f))
       (menubar (gtk-menu-bar-new))
       (statusbar (gtk-statusbar-new))
       (label (gtk-label-new "(galway)"))
       (notebook (gtk-notebook-new))
       (menu_Archivo   (gtk-menu-new)) (menu_Editar    (gtk-menu-new))
       (menu_Opciones  (gtk-menu-new)) (menu_HTMLTags  (gtk-menu-new))
       (menu_Scripts   (gtk-menu-new)) (menu_Enunciados(gtk-menu-new))
       (menu_VRML      (gtk-menu-new)) (menu_Bind      (gtk-menu-new))
       (menu_Common    (gtk-menu-new)) (menu_Geom      (gtk-menu-new))
       (menu_Grp       (gtk-menu-new)) (menu_Int       (gtk-menu-new))
       (menu_Prop      (gtk-menu-new)) (menu_Sens      (gtk-menu-new))
       (menu_Forms     (gtk-menu-new)) (menu_Block     (gtk-menu-new))
       (menu_Various   (gtk-menu-new)) (menu_Script-Fu (gtk-menu-new))
       (menu_DataTypes (gtk-menu-new)) (menu_Other     (gtk-menu-new))
       (menu_About     (gtk-menu-new)) (menu_Spec-Char (gtk-menu-new))
       (menu_Ahyphens  (gtk-menu-new)) (menu_Ehyphens  (gtk-menu-new))
       (menu_Ihyphens  (gtk-menu-new)) (menu_Ohyphens  (gtk-menu-new))
       (menu_Uhyphens  (gtk-menu-new)) (menu_ahyphens  (gtk-menu-new))
       (menu_ehyphens  (gtk-menu-new)) (menu_ihyphens  (gtk-menu-new))
       (menu_ohyphens  (gtk-menu-new)) (menu_uhyphens  (gtk-menu-new))
       (menu_symbols   (gtk-menu-new)) (menu_TopLevel  (gtk-menu-new))
       (menu_Head      (gtk-menu-new)) (menu_Spec-In   (gtk-menu-new))
       (menu_Algo      (gtk-menu-new))
       (menu_FontS     (gtk-menu-new)) (menu_Frames    (gtk-menu-new))
       (item_Archivo   (gtk-menu-item-new-with-label file))      
       (item_Editar    (gtk-menu-item-new-with-label edit))  
       (item_Pref      (gtk-menu-item-new-with-label "Preferences"))
       (item_Opciones  (gtk-menu-item-new-with-label options))
       (item_TopLevel  (gtk-menu-item-new-with-label "Top Level"))
       (item_Head      (gtk-menu-item-new-with-label "Head"))
       (item_Block     (gtk-menu-item-new-with-label "Block Level"))
       (item_Spec-In   (gtk-menu-item-new-with-label "Special Inline"))
       (item_Algo      (gtk-menu-item-new-with-label "Phrase Elements"))
       (item_FontS     (gtk-menu-item-new-with-label "Font Style"))
       (item_Frames    (gtk-menu-item-new-with-label "Frames"))
       (item_Forms     (gtk-menu-item-new-with-label "Forms"))
       (item_Various   (gtk-menu-item-new-with-label "Various"))
       (item_Spec-Char (gtk-menu-item-new-with-label "Special Characters"))
       (item_Ahyphens  (gtk-menu-item-new-with-label "A hyphens"))
       (item_Ehyphens  (gtk-menu-item-new-with-label "E hyphens"))
       (item_Ihyphens  (gtk-menu-item-new-with-label "I hyphens"))
       (item_Ohyphens  (gtk-menu-item-new-with-label "O hyphens"))
       (item_Uhyphens  (gtk-menu-item-new-with-label "U hyphens"))
       (item_ahyphens  (gtk-menu-item-new-with-label "a hyphens"))
       (item_ehyphens  (gtk-menu-item-new-with-label "e hyphens"))
       (item_ihyphens  (gtk-menu-item-new-with-label "i hyphens"))
       (item_ohyphens  (gtk-menu-item-new-with-label "o hyphens"))
       (item_uhyphens  (gtk-menu-item-new-with-label "u hyphens"))
       (item_symbols   (gtk-menu-item-new-with-label "symbols"))
       (item_HTMLTags  (gtk-menu-item-new-with-label html))      
       (item_Enunciados(gtk-menu-item-new-with-label enunciados))
       (item_Scripts   (gtk-menu-item-new-with-label scripts))
       (item_Bind      (gtk-menu-item-new-with-label "Bindable Nodes"))
       (item_Common    (gtk-menu-item-new-with-label "Common Nodes"))
       (item_Geom      (gtk-menu-item-new-with-label "Geometry Nodes"))
       (item_Grp       (gtk-menu-item-new-with-label "Group Nodes"))
       (item_Int       (gtk-menu-item-new-with-label "Interpolator Nodes"))
       (item_Prop      (gtk-menu-item-new-with-label "Property Nodes"))
       (item_Sens      (gtk-menu-item-new-with-label "Sensor Nodes"))
       (item_Other     (gtk-menu-item-new-with-label "Other..."))
       (item_VRML      (gtk-menu-item-new-with-label "VRML"))
       (item_Script-Fu (gtk-menu-item-new-with-label "Script-Fu"))
       (item_Register  (gtk-menu-item-new-with-label "Register"))
       (item_DataTypes (gtk-menu-item-new-with-label "Data types"))
       (item_DB        (gtk-menu-item-new-with-label "Data Base Browser"))
       (item_About     (gtk-menu-item-new-with-label "About..."))
       (item_Info      (gtk-menu-item-new-with-label "About...")))
     (gtk-menu-append-multi  menu_HTMLTags 
                            (list item_TopLevel item_Head item_Block item_Spec-In
                                  item_Algo item_Frames item_Forms item_FontS 
                                  item_Various item_Spec-Char))
     (gtk-menu-append menu_About item_Info)
     (gtk-menu-append menu_Scripts item_Enunciados)
     (gtk-menu-append-multi menu_VRML 
                            (list item_Bind item_Common item_Geom item_Grp 
                                  item_Int item_Prop item_Sens item_Other))
     (gtk-menu-append-multi menu_Script-Fu
                            (list item_Register item_DataTypes item_DB)) 
     (gtk-menu-append-multi menu_Spec-Char 
                            (list item_Ahyphens item_Ehyphens item_Ihyphens
                                   item_Ohyphens item_Uhyphens item_ahyphens 
                                   item_ehyphens item_ihyphens item_ohyphens
                                   item_uhyphens item_symbols))
     (gtk-signal-connect item_Register "activate"
                        (lambda () (script-fu register-SF text)))
     (gtk-signal-connect item_Info "activate"
                        (lambda () (about)))
     (gtk-widget-show-multi item_Archivo item_Editar item_Opciones item_Pref)
     (gtk-widget-show-multi item_Head item_TopLevel item_Spec-In item_Spec-Char 
                    item_Block item_Algo item_Frames item_Forms item_FontS item_HTMLTags)
     (gtk-widget-show-multi item_Ahyphens item_Ehyphens item_Ihyphens item_Ohyphens
                  item_Uhyphens item_ahyphens item_ehyphens item_ihyphens item_ohyphens
                  item_uhyphens item_symbols)  
     (gtk-widget-show-multi item_VRML item_Various)
     (gtk-widget-show-multi item_About item_Info)
     (gtk-widget-show-multi item_Scripts item_Enunciados)
     (gtk-widget-show-multi item_Bind item_Common item_Geom item_Grp)
     (gtk-widget-show-multi item_Int item_Prop item_Sens item_Other)
     (gtk-widget-show-multi item_Script-Fu item_DB item_DataTypes item_Register)
     (gtk-menu-item-set-submenu-multi (list item_Archivo item_Editar item_Opciones)
                                      (list menu_Archivo menu_Editar menu_Opciones))
     (gtk-menu-item-set-submenu item_About menu_About) 
     (gtk-menu-item-set-submenu-multi 
       (list item_HTMLTags item_TopLevel item_Head item_Block item_Spec-In 
                           item_Algo item_FontS item_Frames item_Forms 
                           item_Various item_Spec-Char)
       (list menu_HTMLTags menu_TopLevel menu_Head menu_Block menu_Spec-In 
                           menu_Algo menu_FontS menu_Frames menu_Forms 
                           menu_Various menu_Spec-Char))   
     (gtk-menu-item-set-submenu-multi
       (list item_Ahyphens item_Ehyphens item_Ihyphens item_Ohyphens item_Uhyphens 
             item_ahyphens item_ehyphens item_ihyphens item_ohyphens item_uhyphens
             item_symbols)
       (list menu_Ahyphens menu_Ehyphens menu_Ihyphens menu_Ohyphens menu_Uhyphens
             menu_ahyphens menu_ehyphens menu_ihyphens menu_ohyphens menu_uhyphens
             menu_symbols))
     (gtk-menu-item-set-submenu-multi (list item_Scripts item_Enunciados)
                                      (list menu_Scripts menu_Enunciados))
     (gtk-menu-item-set-submenu-multi
       (list item_VRML item_Bind item_Common item_Geom item_Grp item_Int item_Prop item_Sens item_Other)
       (list menu_VRML menu_Bind menu_Common menu_Geom menu_Grp menu_Int menu_Prop menu_Sens menu_Other))
     (gtk-menu-item-set-submenu-multi (list item_Script-Fu item_DataTypes)
                                      (list menu_Script-Fu menu_DataTypes))
     (gtk-menu-bar-append-multi menubar (list item_Archivo item_Editar item_Opciones
                                     item_HTMLTags item_Scripts item_VRML item_Script-Fu))
     (gtk-menu-bar-append menubar item_About)
     (gtk-window-set-title window "(Erin's Galway Web Editor)")
     (gtk-widget-set-usize window 500 450)
     (gtk-widget-set-usize text 500 355)
     (gtk-text-set-editable text #t)
     (gtk-notebook-append-page notebook text label)
     (include "macro-menu.scm") (include "menu.scm") (include "toolbar.scm")
     (galway-menu-file menu_Archivo text)      (galway-menu-edit menu_Editar text)
     (galway-menu-options menu_Opciones text)  
     (galway-menu-html-top-level menu_TopLevel text)
     (galway-menu-html-head menu_Head text)
     (galway-menu-html-block-level menu_Block text)
     (galway-menu-html-special-inline menu_Spec-In text)
     (galway-menu-html-algo menu_Algo text)
     (galway-menu-html-font-style menu_FontS text)
     (galway-menu-html-frames menu_Frames text)
     (galway-menu-html-forms menu_Forms text)     
     (galway-menu-vrml-bindable menu_Bind text)
     (galway-menu-vrml-common menu_Common text)(galway-menu-vrml-geometry menu_Geom text)
     (galway-menu-vrml-group menu_Grp text)    (galway-menu-vrml-interpolator menu_Int text)
     (galway-menu-vrml-properties menu_Prop text)
     (galway-menu-vrml-sensors menu_Sens text) (galway-menu-vrml-other menu_Other text)
     (galway-menu-html-various menu_Various text)
     (galway-menu-html-spec-chars-A menu_Ahyphens text)(galway-menu-html-spec-chars-E menu_Ehyphens text)
     (galway-menu-html-spec-chars-I menu_Ihyphens text)(galway-menu-html-spec-chars-O menu_Ohyphens text)
     (galway-menu-html-spec-chars-U menu_Uhyphens text)(galway-menu-html-spec-chars-a menu_ahyphens text)
     (galway-menu-html-spec-chars-e menu_ehyphens text)(galway-menu-html-spec-chars-i menu_ihyphens text)
     (galway-menu-html-spec-chars-o menu_ohyphens text)(galway-menu-html-spec-chars-u menu_uhyphens text)
     (galway-menu-html-spec-chars-symbols menu_symbols text)
     (galway-menu-jscript-statements menu_Enunciados text)
     (galway-menu-script-fu-types menu_DataTypes text)
     (galway-menu-scheme menu_Script-Fu text)
     (gtk-menu-append menu_Editar item_Pref)
     (gtk-signal-connect item_Pref "activate"
                        (lambda ()
                         (prefs text notebook)))
     (gtk-box-pack-start box menubar #t #t 0)
     (galway-toolbar box text)
     (gtk-box-pack-start box notebook #t #t 0)
     (gtk-box-pack-start box statusbar #t #t 0)
     (gtk-container-add window box)
     (gtk-widget-show-multi box menubar text label notebook statusbar window)))
     
(galway)
(if (gtk-standalone?)(gtk-main))














