(define-menu galway-menu-file menubar text
 (list newfile openfile savefile close)
 (list `(dialogo 3 "you want a new file?" ,text)
       `(dialogo 0 "you want to open?" ,text)
       `(dialogo 1 "you want to save?" ,text)
       `(gtk-main-quit)) )

(define-menu galway-menu-edit menubar text 
 (list copy cut paste finder selectall)
 (list `(gtk-editable-copy-clipboard ,text)
       `(gtk-editable-cut-clipboard ,text)
       `(gtk-editable-paste-clipboard ,text)
       `(find-dialog ,text)
       `(select-all ,text)) )
 
(define-menu galway-menu-options menubar text
 (list uppertmp lowertmp servpub netscape freewrl)
 (list `(template ,text 0) `(template ,text 1) `(+ 1 2)
       `(preview 0 ,text) `(preview 1 ,text)) )

(define-menu galway-menu-html-top-level menubar text
 (list "HTML""HEAD" "BODY" "FRAMESET")
 (list `(tags "HTML" ,text) `(tags "HEAD" ,text) `(tags "BODY" ,text) 
       `(tags "FRAMESET" ,text)))

(define-menu galway-menu-html-head menubar text
 (list "BASE" "ISINDEX" "LINK" "META" "SCRIPT" "STYLE" "TITLE")
 (list `(single "BASE HREF=\"\" " ,text) `(single "ISINDEX" ,text) 
       `(single "LINK" ,text) 
       `(single "META NAME=\"\" HTTP-EQUIV=\"\" CONTENT=\"\" " ,text)
       `(tags "SCRIPT" ,text) 
       `(tags "STYLE" ,text) `(tags "TITLE" ,text) ))

(define-menu galway-menu-html-block-level menubar text
 (list "ADDRESS" "BLOCKQUOTE" "CENTER" "DEL" "DIV" "H1" "H2" "H3" "H4" "H5" "H6"
       "HR" "INS" "ISINDEX" "NOSCRIPT" "P" "PRE")
 (list `(tags "ADDRESS" ,text) `(tags "BLOCKQUOTE" ,text) `(tags "CENTER" ,text)
       `(tags "DEL" ,text) `(tags "DIV" ,text) `(tags "H1 " ,text)
       `(tags "H2" ,text)  `(tags "H3" ,text) `(tags "H4 " ,text)
       `(tags "H5" ,text)  `(tags "H6" ,text) `(single "HR" ,text)
       `(tags "INS" ,text) `(tags "ISINDEX" ,text)   `(tags "NOSCRIPT" ,text)
       '(single "P " ,text)  '(tags "PRE " ,text) ))

(define-menu galway-menu-html-special-inline menubar text
(list "A" "APPLET" "BASEFONT" "BDO" "BR" "FONT" "IFRAME" "IMG" "MAP" "AREA" "OBJECT"
      "PARAM" "Q" "SCRIPT" "SPAN" "SUB" "SUP")
(list `(tags "A" ,text)  `(tags "APPLET " ,text) 
      `(single "BASEFONT COLOR=\" \" SIZE=\" \" FACE=\" \"  " ,text)
      `(tags "BDO" ,text)`(single "BR" ,text)      `(tags "FONT" ,text)
      `(tags "IFRAME" ,text)`(single "IMG SRC=\"\"" ,text)  `(tags "MAP " ,text)
      `(single "AREA " ,text) `(tags "OBJECT " ,text)`(tags "PARAM " ,text)
      `(tags "Q " ,text)  `(tags "SCRIPT" ,text) `(tags "SPAN " ,text) `(tags "SUB " ,text)
      `(tags "SUP " ,text) ))

(define-menu galway-menu-html-algo menubar text
(list "ABR" "ACRONYM" "CITE" "CODE" "DEL" "DFN" "EM" "INS" "KBD" "SAMP" "STRONG" "VAR")
(list `(tags "ABR" ,text) `(tags "ACRONYM" ,text) `(tags "CITE" ,text) `(tags "CODE" ,text)
      `(tags "DEL" ,text) `(tags "DFN" ,text)`(tags "EM" ,text) `(tags "INS" ,text)
      `(tags "KBD" ,text) `(tags "SAMP" ,text) `(tags "STRONG" ,text) `(tags "VAR" ,text) ))

(define-menu galway-menu-html-font-style menubar text
(list "B" "BIG" "I" "S" "SMALL" "STRIKE" "TT" "U")
(list `(tags "B" ,text) `(tags "BIG" ,text)`(tags "I" ,text) `(tags "S" ,text)
      `(tags "SMALL" ,text) `(tags "STRIKE" ,text) `(tags "TT" ,text) `(tags "U" ,text) ))

(define-menu galway-menu-html-forms menubar text
 (list h-form h-labels h-texts h-paswd* h-radio h-send h-delete h-fimage
       h-button h-menu h-element)
 (list `(form ,text) `(flabel ,text) `(ftext ,text) 
       `(finput 1 ,text) `(finput 7 ,text) `(finput 3 ,text) 
       `(finput 4 ,text) `(finput 5 ,text) `(finput 6 ,text) `(finput 9 ,text)
       `(finput 10 ,text)  ))
       
(define-menu galway-menu-html-frames menubar text
(list "FRAMESET" "FRAME" "NOFRAMES")
(list `(tags "FRAMESET" ,text) `(single "FRAME" ,text) `(tags "NOFRAMES" ,text) ))

(define-menu galway-menu-html-various menubar text
 (list image lists links tables)
 (list `(tags "IMG SRC=\"  \" " ,text)`(listas ,text) `(enlaces ,text) `(table ,text) ))

(define-menu galway-menu-html-spec-chars-symbols menubar text
(list "Less than" "Greater than" "Ampersand" "Quote" "Space" "Registered"
      "Copyright" "Cedille" "cedille" "ED" "N Tilde" "n tilde")
(list `(spec-char "&lt;" ,text)   `(spec-char "&gt;" ,text)   `(spec-char "&amp;" ,text)
      `(spec-char "&quot;" ,text) `(spec-char "&nbsp;" ,text) `(spec-char "&reg;" ,text)
      `(spec-char "&copy;" ,text) `(spec-char "&Ccedil;" ,text)
      `(spec-char "&ccedil;" ,text) `(spec-char "&ETH;" ,text)`(spec-char "&Ntilde;" ,text)
      `(spec-char "&ntilde;" ,text) ))

(define-menu galway-menu-html-spec-chars-A  menubar text
(list "Grave" "Acute" "Circunflex" "Tilde" "Uml" "Ring" "AE")
(list `(spec-char "&Agrave;" ,text) `(spec-char "&Aacute;",text) 
      `(spec-char "&Acirc;" ,text)  `(spec-char "&Atilde;" ,text)
      `(spec-char "&Auml;" ,text)   `(spec-char  "&Aring;" ,text)
      `(spec-char "&AElig;",text) ))
      
(define-menu galway-menu-html-spec-chars-E  menubar text
(list "Grave" "Acute" "Circunflex" "Tilde" "Uml" "Ring")
(list `(spec-char "&Egrave;" ,text) `(spec-char "&Eacute;",text) 
      `(spec-char "&Ecirc;" ,text)  `(spec-char "&Etilde;" ,text)
      `(spec-char "&Euml;" ,text)   `(spec-char "&Ering;" ,text) ))

(define-menu galway-menu-html-spec-chars-I  menubar text
(list "Grave" "Acute" "Circunflex" "Tilde" "Uml" "Ring")
(list `(spec-char "&Igrave;" ,text) `(spec-char "&Iacute;",text) 
      `(spec-char "&Icirc;" ,text)  `(spec-char "&Itilde;" ,text)
      `(spec-char "&Iuml;" ,text)   `(spec-char  "&Iring;" ,text) ))

(define-menu galway-menu-html-spec-chars-O  menubar text
(list "Grave" "Acute" "Circunflex" "Tilde" "Uml" "Ring")
(list `(spec-char "&Ograve;" ,text) `(spec-char "&Oacute;",text) 
      `(spec-char "&Ocirc;" ,text)  `(spec-char "&Otilde;" ,text)
      `(spec-char "&Auml;" ,text)   `(spec-char  "&Aring;" ,text) ))

(define-menu galway-menu-html-spec-chars-U  menubar text
(list "Grave" "Acute" "Circunflex" "Tilde" "Uml" "Ring")
(list `(spec-char "&Ugrave;" ,text) `(spec-char "&Uacute;",text) 
      `(spec-char "&Ucirc;" ,text)  `(spec-char "&Utilde;" ,text)
      `(spec-char "&Uuml;" ,text)   `(spec-char  "&Uring;" ,text) ))

(define-menu galway-menu-html-spec-chars-a  menubar text
(list "Grave" "Acute" "Circunflex" "Tilde" "Uml" "Ring" "AE")
(list `(spec-char "&agrave;" ,text) `(spec-char "&aacute;",text) 
      `(spec-char "&acirc;" ,text)  `(spec-char "&atilde;" ,text)
      `(spec-char "&auml;" ,text)   `(spec-char  "&aring;" ,text)
      `(spec-char "&aelig;",text) ))

(define-menu galway-menu-html-spec-chars-e  menubar text
(list "Grave" "Acute" "Circunflex" "Tilde" "Uml" "Ring")
(list `(spec-char "&egrave;" ,text) `(spec-char "&eacute;",text) 
      `(spec-char "&ecirc;" ,text)  `(spec-char "&etilde;" ,text)
      `(spec-char "&euml;" ,text)   `(spec-char  "&ering;" ,text) ))
      
(define-menu galway-menu-html-spec-chars-i  menubar text
(list "Grave" "Acute" "Circunflex" "Tilde" "Uml" "Ring")
(list `(spec-char "&igrave;" ,text) `(spec-char "&iacute;",text) 
      `(spec-char "&icirc;" ,text)  `(spec-char "&itilde;" ,text)
      `(spec-char "&iuml;" ,text)   `(spec-char  "&iring;" ,text) ))
     
(define-menu galway-menu-html-spec-chars-o  menubar text
(list "Grave" "Acute" "Circunflex" "Tilde" "Uml" "Ring")
(list `(spec-char "&ograve;" ,text) `(spec-char "&oacute;",text) 
      `(spec-char "&ocirc;" ,text)  `(spec-char "&otilde;" ,text)
      `(spec-char "&ouml;" ,text)   `(spec-char  "&oring;" ,text) ))

(define-menu galway-menu-html-spec-chars-u  menubar text
(list "Grave" "Acute" "Circunflex" "Tilde" "Uml" "Ring")
(list `(spec-char "&ugrave;" ,text) `(spec-char "&uacute;",text) 
      `(spec-char "&ucirc;" ,text)  `(spec-char "&utilde;" ,text)
      `(spec-char "&uuml;" ,text)   `(spec-char  "&uring;" ,text) ))

(define-menu galway-menu-jscript-statements menubar text
 (list "function" "Break" "Continue" "If" "For" "Return" "While" "With" "Var")
 (list `(jscript Sfunc ,text)     `(jscript Sbreak ,text)  
       `(jscript Scontinue ,text) `(jscript Sif ,text)
       `(jscript Sfor ,text) `(jscript Sreturn ,text)  
       `(jscript SWhile ,text) `(jscript Swith ,text)
       `(jscript Svar ,text) ))

(define-menu galway-menu-script-fu-types menubar text
 (list "SF-VALUE" "SF-COLOR" "SF-TOGGLE" "SF-IMAGE" "SF-DRAWABLE")
 (list `(script-fu sf-value ,text) `(script-fu sf-color ,text)
       `(script-fu sf-toggle ,text) `(script-fu sf-image ,text)
       `(script-fu sf-drawable ,text) ))

(define-menu galway-menu-vrml-bindable menubar text
 (list "background" "fog" "navigationinfo" "viewpoint")
 (letrec ((vrmlator 
           (lambda(ls)
            (if (pair? ls)
                (cons `(vrml ,text ,(car ls)) (vrmlator (cdr ls))) ) )))
         (vrmlator (list 'background 'fog 'navigationinfo 'viewpoint))) )

(define-menu galway-menu-vrml-common menubar text
 (list "Audio" "Directional Light" "Point Light" 
       "Script" "Sound" "Spot Light" "World Info")
 (letrec ((vrmlator
            (lambda (ls)
             (if (pair? ls)
                 (cons `(vrml ,text ,(car ls)) (vrmlator (cdr ls))) ) )))
          (vrmlator (list 'audioclop 'direclight 'pointlight
                          'skript 'sound 'spotlight 'worldinfo))) )

(define-menu galway-menu-vrml-geometry menubar text
 (list "Box" "Cone" "Elevation Grid" "Extrusion" "Indexed Face Set"
       "Indexed Line Set" "Point Set" "Sphere" )
 (letrec ((vrmlator 
            (lambda (ls)
             (if (pair? ls)
                 (cons `(vrml ,text ,(car ls)) (vrmlator (cdr ls))) ) )))
          (vrmlator (list 'box 'cone 'elevgrid 'extrusion 'indexedfaceset
                          'indexedlineset 'pointset 'sphere))) )

(define-menu galway-menu-vrml-group menubar text
 (list "Anchor" "Billboard" "Collision" "Group" "Inline"
       "Transform" "LOD" "Switch")
 (letrec ((vrmlator 
            (lambda (ls)
             (if (pair? ls)
                 (cons `(vrml ,text ,(car ls)) (vrmlator (cdr ls))) ) )))
         (vrmlator (list 'anchor 'billboard 'collision 'group 'inline
                         'transform 'lod 'switch))) )

(define-menu galway-menu-vrml-interpolator menubar text
 (list "Color" "Coordinate" "Normal" "Orientation" "Position" "Scalar")
 (letrec ((vrmlator 
           (lambda (ls)
             (if (pair? ls)
                 (cons `(vrml ,text ,(car ls)) (vrmlator (cdr ls))) ) )))
         (vrmlator (list 'colorinter 'coordinateinter 'normalinter
                       'orientationinter 'positioninter 'scalarinter))) )
 
(define-menu galway-menu-vrml-properties menubar text
 (list "Appearance" "Color" "Coordinate" "Font Style" "Image Texture"
       "Material" "Movie Texture" "Normal" "Pixel" "Texture Coordinate"
       "Texture Transform")
 (letrec ((vrmlator 
            (lambda (ls)
              (if (pair? ls)
                  (cons `(vrml ,text ,(car ls)) (vrmlator (cdr ls))) ) )))
         (vrmlator (list 'appearance 'color 'coordinate 'fontsyle
                         'imagetexture 'material 'movietexture 
                         'normal 'pixeltexture 'texturecoordinate
                         'texturetransform))) )

(define-menu galway-menu-vrml-sensors menubar text
 (list "Cylinder" "Plane" "Proximity" "Time" "Touch" "Visibility")
 (letrec ((vrmlator
            (lambda (ls)
              (if (pair? ls)
                  (cons `(vrml ,text ,(car ls)) (vrmlator (cdr ls))) ) )))
         (vrmlator (list 'cylindersensor 'planesensor 'proximitysensor
                         'timesensor 'touchsensor 'visibilitysensor))) )

(define-menu galway-menu-vrml-other menubar text
 (list "Comment" "Header 2.0" "Header '97")
 (list `(vrml ,text vrmlcomment) `(vrml ,text header2.0) `(vrml ,text header97)))

(define-menu galway-menu-scheme menubar text 
  (list "(and)" "(append)" "(apply)" "(begin)" "(car)" "(cdr)"
                 "(cons)" "(equal?)" "(if)" "(lambda)" "(let)" "(let*)"
                 "(letrec)")
  (list `(schemer ,text Sand)    `(schemer ,text Sappend)
        `(schemer ,text Sapply)  `(schemer ,text Sbegin)
        `(schemer ,text Scar)    `(schemer ,text Scdr)
        `(schemer ,text Scons)   `(schemer ,text Sequal)
        `(schemer ,text Sif)     `(schemer ,text Slambda)
        `(schemer ,text Slet)    `(schemer ,text Slet*)
        `(schemer ,text Sletrec)  ))
