;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Ariel Rios O.                     ;;
;; jarios@usa.net                    ;;
;; http://erin.netpedia.net          ;;
;; Galway v0.5.0                     ;;
;; Diciembre 1998                    ;;
;; Junio 1999                        ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;Licencia;;;;;;;;;;;;;;;;;;;
;;GPL                                            ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;multi.s;;;;;;;;;;;;;;;;;;;;;;;;;;; 

(define (gtk-widget-show-multi . widgets)  
(for-each gtk-widget-show widgets))

(define (gtk-widget-destroy-multi . widgets)
(for-each gtk-widget-destroy widgets))

(define (gtk-menu-append-multi menu items)
 (if (pair? items)
     (let ((first (car items)))
       (gtk-menu-append menu first)
       (gtk-menu-append-multi menu (cdr items)))))

(define (gtk-box-pack-start-multi box widgets)
 (if (pair? widgets)
     (let ((first (car widgets)))
       (gtk-box-pack-start box first)
       (gtk-box-pack-start-multi box (cdr widgets)))))

(define (gtk-menu-item-set-submenu-multi ls-item ls-menu)
 (if (pair? ls-menu)
     (let ((menu (car ls-menu)) (item (car ls-item)))
      (gtk-menu-item-set-submenu item menu)
      (gtk-menu-item-set-submenu-multi (cdr ls-item) (cdr ls-menu)) )) )

(define (gtk-menu-bar-append-multi menu ls)
 (cond 
 ((pair? ls) (gtk-menu-bar-append menu (car ls))
             (gtk-menu-bar-append-multi menu (cdr ls)) )) );
