(define vec-pref (list 1 1 1 1 1 1))
(define pref-def (list 1 1 1 1 1 1))
;;(editabl wd-wrap linewrp engh ita spa)

(define (prefs txt nbook)
 (let* ((window (gtk-window-new 'dialog))
       (box (gtk-vbox-new #f 1))
       (hbox0 (gtk-hbox-new #f 1))(hbox1 (gtk-hbox-new #f 1))
       (hbox2 (gtk-hbox-new #f 1))(hbox3 (gtk-hbox-new #f 1))
       (hbox4 (gtk-hbox-new #f 1))(hbox5 (gtk-hbox-new #f 1))
       (hbox6 (gtk-hbox-new #f 1))(hbox7 (gtk-hbox-new #f 1))
       (button0 (gtk-button-new-with-label "Defaults"))
       (button1 (gtk-button-new-with-label decline))
       (label0  (gtk-label-new text-pref)) (label1  (gtk-label-new "Notebook-tab Preferences:"))
       (label2  (gtk-label-new "Tab Preferences")))
      (letrec ((radio-button  
                 (lambda (ls-label ls-action group)
                  (if (pair? ls-label)
                      (let ((radio (gtk-radio-button-new-with-label group (car ls-label)) ))
                           (gtk-box-pack-start hbox3 radio)
                           (gtk-widget-show radio)
                           (gtk-signal-connect radio "toggled"
                                              (lambda ()
                                              (eval (car ls-action) )))
                           (radio-button (cdr ls-label) (cdr ls-action) radio ) )) )) 
               (check-button 
                  (lambda (ls-label ls-action box)
                    (if (pair? ls-label)
                        (let ((check (gtk-check-button-new-with-label (car ls-label))))
                             (gtk-box-pack-start box check)
                             (gtk-widget-show check)
                             (gtk-signal-connect check "toggled"
                                                (lambda ()
                                                  (eval (car ls-action) )))
                             (check-button (cdr ls-label) (cdr ls-action) box) ) ))) )         
              (radio-button (list "Left Tab" "Right Tab" "Top Tab" "Bottom Tab")
                            (list `(gtk-notebook-set-tab-pos ,nbook 'left)
                                  `(gtk-notebook-set-tab-pos ,nbook 'right)
                                  `(gtk-notebook-set-tab-pos ,nbook 'top)
                                  `(gtk-notebook-set-tab-pos ,nbook 'bottom)) #f)
              (check-button (list ro "Line Wrap" word-wrap) 
                            (list `(ro-macro ,txt) `(lw-macro ,txt) `(ww-macro ,txt))hbox1)
              (check-button (list "Show Tabs" "Show Border" "Show Scrollbar")
                            (list `(show-tab-macro ,nbook) `(show-border-macro ,nbook)
                                  `(show-scroll-macro ,nbook)) hbox4)) 
      (gtk-signal-connect button0 "clicked"
                         (lambda ()
                          (def-pref txt nbook)(gtk-widget-destroy window)))
      (gtk-signal-connect button1 "clicked"
                         (lambda()
                          (gtk-widget-destroy window)))
      (gtk-window-set-title window "Preferences")
      (gtk-container-add window box)
      (gtk-box-pack-start-multi box (list hbox0 hbox1 hbox2 hbox3 hbox4 hbox5 hbox6 hbox7))
      (gtk-box-pack-start hbox0 label0 #f)
      (gtk-box-pack-start hbox2 label1 #f)   
      (gtk-box-pack-start-multi hbox5 (list button0 button1))
      (gtk-widget-show-multi label0 label1 label2
                             hbox0 hbox1 hbox2 hbox3 hbox4 hbox5 hbox6
                             button0 button1 box window) ))
       
(define-macro (define-check-signal-text nombre txt k ls-func)
`(define (,nombre ,txt)
  (gtk-widget-realize ,txt) 
  (gtk-text-freeze ,txt)
  (cond
   ((zero? (list-ref vec-pref ,k)) (list-set! vec-pref ,k 1)(eval (car ,ls-func)) )
   (else (list-set! vec-pref ,k 0)(eval (cadr ,ls-func))) )
(gtk-text-thaw ,txt) ))

(define-macro (define-check-signal-notebook nombre nbook k ls-func)
`(define (,nombre ,nbook)
 (cond
  ((zero? (list-ref vec-pref ,k)) (list-set! vec-pref ,k 1)(eval (car ,ls-func)) )
  (else (list-set! vec-pref ,k 0)(eval(cadr ,ls-func))) ) ))

(define-check-signal-text ro-macro txt 0 
 (list `(gtk-text-set-editable ,txt #t) `(gtk-text-set-editable ,txt #f)) )
 
(define-check-signal-text lw-macro txt 1
 (list `(gtk-text-set-line-wrap ,txt 1) `(gtk-text-set-line-wrap ,txt 0)) )

(define-check-signal-text ww-macro txt 2
 (list `(gtk-text-set-word-wrap ,txt 1) `(gtk-text-set-word-wrap ,txt 0)) )

(define-check-signal-notebook show-tab-macro nbook 3
 (list `(gtk-notebook-set-show-tabs ,nbook #t) `(gtk-notebook-set-show-tabs ,nbook #f)) )

(define-check-signal-notebook show-border-macro nbook 4
 (list `(gtk-notebook-set-show-border ,nbook #t) `(gtk-notebook-set-show-border ,nbook #f)) ) 

(define-check-signal-notebook show-scroll-macro nbook 5
 (list `(gtk-notebook-set-scrollable ,nbook #t) `(gtk-notebook-set-scrollable ,nbook #f)) )

(define (def-pref txt nbook)
 (gtk-text-freeze txt)
 (gtk-text-set-editable txt #t)(gtk-text-set-line-wrap txt 1)
 (gtk-text-set-word-wrap txt 1)(gtk-notebook-set-show-tabs nbook #t)
 (gtk-notebook-set-show-border nbook #t)
 (gtk-notebook-set-scrollable nbook #t)
 (gtk-text-thaw txt)
 (set! vec-pref pref-def) )
