
(define (tabla columnas filas text)
(let* ((table "<TABLE BORDER COLS=2>\n")
       (ctable "</TABLE>\n")
       (rows filas)
       (columns columnas)
       (row "<TR>\n")
       (crow "</TR>\n")
       (cell "<TD>  </TD>\n")
       ($string table))
      (do ((i 0 (+ i 1)))
          ((= i rows))
          (begin
           (set! $string (string-append $string row))
           (do ((ii 0 (+ ii 1)))
               ((= ii columns))
                (set! $string (string-append $string cell)))
           (set! $string (string-append $string crow))))
      (set! $string (string-append $string ctable))
      (gtk-widget-realize text)
      (gtk-text-insert text #f "red" #f $string -1) 
      (gtk-text-thaw text)))
      
        
(define (table texto)
 (let* ((window (gtk-window-new 'dialog))
       (vbox   (gtk-vbox-new #f 3))
       (hbox0  (gtk-hbox-new #f 2))
       (hbox1  (gtk-hbox-new #f 2)) 
       (hbox2  (gtk-hbox-new #t 2))
       (label0 (gtk-label-new "Rows"))
       (label1 (gtk-label-new "Columns"))
       (button0(gtk-button-new-with-label accept))
       (button1(gtk-button-new-with-label decline))
       (adjust0 (gtk-adjustment-new 2 0 100 1 5 0))
       (adjust1 (gtk-adjustment-new 2 0 100 1 5 0))
       (spin0  (gtk-spin-button-new adjust0 0.5 0))
       (spin1  (gtk-spin-button-new adjust1 0.5 0)))
      (gtk-window-set-title window "tables")
      (gtk-container-add window vbox)
      (gtk-box-pack-start-multi vbox 
                                (list hbox0 hbox1 hbox2))
      (gtk-box-pack-start-multi hbox0 (list label0 spin0))
      (gtk-box-pack-start-multi hbox1 (list label1 spin1))
      (gtk-box-pack-start-multi hbox2 (list button0 button1))
      (gtk-widget-show-multi button0 button1 label0 label1 
                             hbox0 hbox1 hbox2 vbox spin0 spin1 window)
      (gtk-signal-connect button0 "clicked"
                         (lambda ()
                          (let ((r (gtk-spin-button-get-value-as-int spin0))
                                (c (gtk-spin-button-get-value-as-int spin1)))
                               (tabla c r texto))))
      (gtk-signal-connect button1 "clicked"
                         (lambda ()
                          (gtk-widget-destroy-multi window spin1 spin0
                                         vbox hbox0 hbox1 hbox2 label1
                                         label0 button1 button0))) ))
