(define (galway-toolbar box text)
(define texto text)
 (let ((toolbar (gtk-toolbar-new 'horizontal 'both))
       (ls-pix  (list "new.xpm" "open.xpm" "save.xpm" "cancel.xpm" "cut.xpm"
                      "copy.xpm" "paste.xpm" "search.xpm" "exit.xpm"))
       (ls-ttip (list newfile openfile savefile close cut copy paste finder "exit"))
       (ls-func (list (quasiquote (dialogo 3 "you want a new file?" ,texto)) 
                      (quasiquote (dialogo 0 "you want to open?" ,texto))
                      (quasiquote (dialogo 1 "you want to save?" ,texto))
                      (quasiquote (gtk-main-quit))
                      (quasiquote (gtk-editable-cut-clipboard ,texto))
                      (quasiquote (gtk-editable-copy-clipboard ,texto))
                      (quasiquote (gtk-editable-paste-clipboard ,texto))
                      (quasiquote (find-dialog ,texto))
                      (quasiquote (gtk-main-quit)) )) )
      (letrec ((buttonator 
                 (lambda (ls-pix ls-ttip ls-func texto)
                  (if (pair? ls-pix)
                      (let* ((button (gtk-button-new))
                             (pixmap (gtk-pixmap-new (string-append galway-path (car ls-pix)) button)))
                            (gtk-toolbar-append-widget toolbar button (car ls-ttip) "")
                            (gtk-container-add button pixmap)
                            (gtk-widget-show-multi pixmap button)
                            (gtk-signal-connect button "clicked"
                                               (lambda ()
                                                (eval (car ls-func)) ))
                            (buttonator (cdr ls-pix) (cdr ls-ttip) (cdr ls-func)texto) )) )) )
         (buttonator ls-pix ls-ttip ls-func texto))
       (gtk-box-pack-start box toolbar #t #t 3)
       (gtk-widget-show toolbar)))
