;;;;;;;;;;;;;;;;;;;;;;;
;;Ariel Rios         ;;
;;                   ;;
;;                   
;;
;;;;;;;;;;;;;;;;;;;;;;

;;The following 2 functions were taken from my "Theory
;;of Computation" final project "Scheme Parser" =)

(define (word-car str)
 (let ((ls (string->list str)))
      (letrec ((recorre 
                (lambda (ls)
                 (cond
		   ((not (pair? ls)) '())
                   ((equal? (car ls) (or #\space #\newline #\tab))'())
                   (else (cons (car ls)
                               (recorre (cdr ls))))) )))
               (list->string (recorre ls))) ))

(define (word-cdr str)
 (let ((ls (string->list str)))
       (letrec ((recorre
                 (lambda (ls)
                  (cond
                   ((not (pair? ls)) '())
                   ((equal? (car ls) (or #\space #\newline #\tab))(cdr ls))
                   (else (recorre (cdr ls)))))))
               (list->string (recorre ls))) ))

(define (find word str)
 (let ((m -1)
       (i (string-length str)))
  (do ((n 0 (+ n 1)))
      ((>= n i))
      (begin
        (if (equal? (string-ref word 0)
                    (string-ref str n))
            (if (equal? word (word-car (substring str n i)))
                (begin 
                 (set! m n)
                 (set! n i)) ))))
        m ))  
